Update Db Password

Update Db Password

Endpoint to update database VM SSH root user password.
Authorized Roles : PROVIDER or ORG_ADMIN or ORG_USER

Request
URI
PUT
https://{api_host}/provider/databases/{id}/password
COPY
Path Parameters
string
id
Required

ID of the database


Request Body
ChangeAppliancePasswordDto of type(s) application/json
Required
{
    "currentPassword": "string",
    "newPassword": "string"
}
string As ^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[?!@#$%^&*])[A-Za-z\d?!@#$%^&*]{8,20}$
currentPassword
Required

currentPassword

string As ^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[?!@#$%^&*])[A-Za-z\d?!@#$%^&*]{8,20}$
newPassword
Required

newPassword

Authentication
This operation uses the following authentication methods.
Responses
202

OK

Returns MasterTaskResult of type(s) application/vnd.vmware.dms-v1+json
{
    "task_id": "string"
}
string As uuid As uuid
task_id
Optional

task_id


400

Bad Request

Operation doesn't return any data structure